use crate::{CmdResult, CmdState, service::commodity::Commodity};

#[tauri::command]
pub async fn commodity(app_state: CmdState<'_>) -> CmdResult<()> {
    let commodity_service = Commodity::new(app_state.conn.clone());
    let goods = commodity_service.get_spu_list().await;
    match goods {
        Ok(_) => Ok(()),
        Err(e) => Err(format!("请求商品信息失败{:?}", e)),
    }
    // Ok("111".into())
}
