use crate::{CmdResult, CmdState, service::order::Order};

#[tauri::command]
pub async fn order(app_state: CmdState<'_>) -> CmdResult<()> {
    let order_service = Order::new(app_state.conn.clone());
    let orders = order_service.get_order_list().await;
    match orders {
        Ok(_) => todo!(),
        Err(_) => todo!(),
    }
}
